* Module ctqueue.h  V010AM01 === 091487
*
*    PROPRIETARY PROGRAM MATERIAL
* REPRODUCTION OR DISCLOSURE IS PROHIBITED WITHOUT WRITTEN AUTHORIZATION
* OF THE PATENT DIVISION OF UNISYS CORPORATION, DETROIT, MICHIGAN 48232, USA.
* COPYRIGHT (C) 1987 BORLAND INTERNATIONAL
* COPYRIGHT (C) 1987 UNISYS CORPORATION
*
if	defined(__ERCTYPE)
define	__ERCTYPE

typedef	unsigned	ErcType;
endif

ErcType	AddQueueEntry plm far(char *far pbQueueName, int cbQueueName,
		int fQueueIfNoServer, int priority, int queueType,
		void *far pEntry, int sEntry, void *far pDateTime,
		unsigned repeatTime);
ErcType	EstablishQueueServer plm far(char *far pbQueueName, int cbQueueName,
		int queueType, int fUniqueServer);
ErcType	MarkKeyedQueueEntry plm far(char *far pbQueueName, int cbQueueName,
		char *far pbKey1, int cbKey1, unsigned oKey1,
		char *far pbKey2, int cbKey2, unsigned oKey2,
		void *far pEntryRet, int sEntryRet,
		void *far pStatusBlock, int sStatusBlock);
ErcType	MarkNextQueueEntry plm far(char *far pbQueueName, int cbQueueName,
		int fReturnIfNoEntries, void *far pEntryRet, int sEntryRet,
		void *far pStatusBlock, int sStatusBlock);
ErcType	ReadKeyedQueueEntry plm far(char *far pbQueueName, int cbQueueName,
		char *far pbKey1, int cbKey1, unsigned oKey1,
		char *far pbKey2, int cbKey2, unsigned oKey2,
		void *far pEntryRet, int sEntryRet,
		void *far pStatusBlock, int sStatusBlock);
ErcType	ReadNextQueueEntry plm far(char *far pbQueueName, int cbQueueName,
		long qeh, 
		void *far pEntryRet, int sEntryRet,
		void *far pStatusBlock, int sStatusBlock);
ErcType	RemoveKeyedQueueEntry plm far(char *far pbQueueName, int cbQueueName,
		char *far pbKey1, int cbKey1, unsigned oKey1,
		char *far pbKey2, int cbKey2, unsigned oKey2);
ErcType	RemoveMarkedQueueEntry plm far(char *far pbQueueName, int cbQueueName,
		long qeh);
ErcType	RewriteMarkedQueueEntry plm far(char *far pbQueueName, int cbQueueName,
		long qeh, 
		void *far pEntryRet, int sEntryRet);
ErcType	TerminateQueueServer plm far(char *far pbQueueName, int cbQueueName);
ErcType	UnmarkQueueEntry plm far(char *far pbQueueName, int cbQueueName,
		long qeh);
